Altibase.jdbc.driver.sharding.core

## Class AltibaseShardingResultSet

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.AltibaseShardingResultSet

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

    public class AltibaseShardingResultSet
    extends java.lang.Object
    implements java.sql.ResultSet

### Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `absolute(int aRow)`
`void` `afterLast()`
`void` `beforeFirst()`
`void` `cancelRowUpdates()`
`void` `clearWarnings()`
`void` `close()`
`void` `deleteRow()`
`int` `findColumn(java.lang.String aColumnName)`
`boolean` `first()`
`java.sql.Array` `getArray(int aColumnIndex)`
`java.sql.Array` `getArray(java.lang.String aColumnName)`
`java.io.InputStream` `getAsciiStream(int aColumnIndex)`
`java.io.InputStream` `getAsciiStream(java.lang.String aColumnName)`
`java.math.BigDecimal` `getBigDecimal(int aColumnIndex)`
`java.math.BigDecimal` `getBigDecimal(int aColumnIndex, int aScale)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String aColumnName)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String aColumnName, int aScale)`
`java.io.InputStream` `getBinaryStream(int aColumnIndex)`
`java.io.InputStream` `getBinaryStream(java.lang.String aColumnName)`
`java.sql.Blob` `getBlob(int aColumnIndex)`
`java.sql.Blob` `getBlob(java.lang.String aColumnName)`
`boolean` `getBoolean(int aColumnIndex)`
`boolean` `getBoolean(java.lang.String aColumnName)`
`byte` `getByte(int aColumnIndex)`
`byte` `getByte(java.lang.String aColumnName)`
`byte[]` `getBytes(int aColumnIndex)`
`byte[]` `getBytes(java.lang.String aColumnName)`
`java.io.Reader` `getCharacterStream(int aColumnIndex)`
`java.io.Reader` `getCharacterStream(java.lang.String aColumnName)`
`java.sql.Clob` `getClob(int aColumnIndex)`
`java.sql.Clob` `getClob(java.lang.String aColumnName)`
`int` `getConcurrency()`
`java.lang.String` `getCursorName()`
`java.sql.Date` `getDate(int aColumnIndex)`
`java.sql.Date` `getDate(int aColumnIndex, java.util.Calendar aCal)`
`java.sql.Date` `getDate(java.lang.String aColumnName)`
`java.sql.Date` `getDate(java.lang.String aColumnName, java.util.Calendar aCal)`
`double` `getDouble(int aColumnIndex)`
`double` `getDouble(java.lang.String aColumnName)`
`int` `getFetchDirection()`
`int` `getFetchSize()`
`float` `getFloat(int aColumnIndex)`
`float` `getFloat(java.lang.String aColumnName)`
`int` `getInt(int aColumnIndex)`
`int` `getInt(java.lang.String aColumnName)`
`long` `getLong(int aColumnIndex)`
`long` `getLong(java.lang.String aColumnName)`
`java.sql.ResultSetMetaData` `getMetaData()`
`java.lang.Object` `getObject(int aColumnIndex)`
`java.lang.Object` `getObject(int aColumnIndex, java.util.Map aMap)`
`java.lang.Object` `getObject(java.lang.String aColumnName)`
`java.lang.Object` `getObject(java.lang.String aColumnName, java.util.Map aMap)`
`java.sql.Ref` `getRef(int aColumnIndex)`
`java.sql.Ref` `getRef(java.lang.String aColumnName)`
`int` `getRow()`
`short` `getShort(int aColumnIndex)`
`short` `getShort(java.lang.String aColumnName)`
`java.sql.Statement` `getStatement()`
`java.lang.String` `getString(int aColumnIndex)`
`java.lang.String` `getString(java.lang.String aColumnName)`
`java.sql.Time` `getTime(int aColumnIndex)`
`java.sql.Time` `getTime(int aColumnIndex, java.util.Calendar aCal)`
`java.sql.Time` `getTime(java.lang.String aColumnName)`
`java.sql.Time` `getTime(java.lang.String aColumnName, java.util.Calendar aCal)`
`java.sql.Timestamp` `getTimestamp(int aColumnIndex)`
`java.sql.Timestamp` `getTimestamp(int aColumnIndex, java.util.Calendar aCal)`
`java.sql.Timestamp` `getTimestamp(java.lang.String aColumnName)`
`java.sql.Timestamp` `getTimestamp(java.lang.String aColumnName, java.util.Calendar aCal)`
`int` `getType()`
`java.io.InputStream` `getUnicodeStream(int aColumnIndex)`
`java.io.InputStream` `getUnicodeStream(java.lang.String aColumnName)`
`java.net.URL` `getURL(int aColumnIndex)`
`java.net.URL` `getURL(java.lang.String aColumnName)`
`java.sql.SQLWarning` `getWarnings()`
`void` `insertRow()`
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isFirst()`
`boolean` `isLast()`
`boolean` `last()`
`void` `moveToCurrentRow()`
`void` `moveToInsertRow()`
`boolean` `next()`
`boolean` `previous()`
`void` `refreshRow()`
`boolean` `relative(int aRows)`
`boolean` `rowDeleted()`
`boolean` `rowInserted()`
`boolean` `rowUpdated()`
`void` `setFetchDirection(int aDirection)`
`void` `setFetchSize(int aRows)`
`void` `updateArray(int aColumnIndex, java.sql.Array aValue)`
`void` `updateArray(java.lang.String aColumnName, java.sql.Array aValue)`
`void` `updateAsciiStream(int aColumnIndex, java.io.InputStream aValue, int aLength)`
`void` `updateAsciiStream(java.lang.String aColumnName, java.io.InputStream aValue, int aLength)`
`void` `updateBigDecimal(int aColumnIndex, java.math.BigDecimal aValue)`
`void` `updateBigDecimal(java.lang.String aColumnName, java.math.BigDecimal aValue)`
`void` `updateBinaryStream(int aColumnIndex, java.io.InputStream aValue, int aLength)`
`void` `updateBinaryStream(java.lang.String aColumnName, java.io.InputStream aValue, int aLength)`
`void` `updateBlob(int aColumnIndex, java.sql.Blob aValue)`
`void` `updateBlob(java.lang.String aColumnName, java.sql.Blob aValue)`
`void` `updateBoolean(int aColumnIndex, boolean aValue)`
`void` `updateBoolean(java.lang.String aColumnName, boolean aValue)`
`void` `updateByte(int aColumnIndex, byte aValue)`
`void` `updateByte(java.lang.String aColumnName, byte aValue)`
`void` `updateBytes(int aColumnIndex, byte[] aValue)`
`void` `updateBytes(java.lang.String aColumnName, byte[] aValue)`
`void` `updateCharacterStream(int aColumnIndex, java.io.Reader aReader, int aLength)`
`void` `updateCharacterStream(java.lang.String aColumnName, java.io.Reader aReader, int aLength)`
`void` `updateClob(int aColumnIndex, java.sql.Clob aValue)`
`void` `updateClob(java.lang.String aColumnName, java.sql.Clob aValue)`
`void` `updateDate(int aColumnIndex, java.sql.Date aValue)`
`void` `updateDate(java.lang.String aColumnName, java.sql.Date aValue)`
`void` `updateDouble(int aColumnIndex, double aValue)`
`void` `updateDouble(java.lang.String aColumnName, double aValue)`
`void` `updateFloat(int aColumnIndex, float aValue)`
`void` `updateFloat(java.lang.String aColumnName, float aValue)`
`void` `updateInt(int aColumnIndex, int aValue)`
`void` `updateInt(java.lang.String aColumnName, int aValue)`
`void` `updateLong(int aColumnIndex, long aValue)`
`void` `updateLong(java.lang.String aColumnName, long aValue)`
`void` `updateNull(int aColumnIndex)`
`void` `updateNull(java.lang.String aColumnName)`
`void` `updateObject(int aColumnIndex, java.lang.Object aValue)`
`void` `updateObject(int aColumnIndex, java.lang.Object aValue, int aScale)`
`void` `updateObject(java.lang.String aColumnName, java.lang.Object aValue)`
`void` `updateObject(java.lang.String aColumnName, java.lang.Object aValue, int aScale)`
`void` `updateRef(int aColumnIndex, java.sql.Ref aValue)`
`void` `updateRef(java.lang.String aColumnName, java.sql.Ref aValue)`
`void` `updateRow()`
`void` `updateShort(int aColumnIndex, short aValue)`
`void` `updateShort(java.lang.String aColumnName, short aValue)`
`void` `updateString(int aColumnIndex, java.lang.String aValue)`
`void` `updateString(java.lang.String aColumnName, java.lang.String aValue)`
`void` `updateTime(int aColumnIndex, java.sql.Time aValue)`
`void` `updateTime(java.lang.String aColumnName, java.sql.Time aValue)`
`void` `updateTimestamp(int aColumnIndex, java.sql.Timestamp aValue)`
`void` `updateTimestamp(java.lang.String aColumnName, java.sql.Timestamp aValue)`
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`getHoldability, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRowId, getRowId, getSQLXML, getSQLXML, isClosed, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateObject, updateObject, updateObject, updateObject, updateRowId, updateRowId, updateSQLXML, updateSQLXML`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### next

    public boolean next()
                 throws java.sql.SQLException

Specified by:
  `next` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

Specified by:
  `wasNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(int aColumnIndex)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(java.lang.String aColumnName)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(int aColumnIndex)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(java.lang.String aColumnName)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(int aColumnIndex)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(java.lang.String aColumnName)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(int aColumnIndex)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(java.lang.String aColumnName)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(int aColumnIndex)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(java.lang.String aColumnName)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(int aColumnIndex)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(java.lang.String aColumnName)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(int aColumnIndex)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(java.lang.String aColumnName)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(int aColumnIndex)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(java.lang.String aColumnName)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int aColumnIndex,
                                              int aScale)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int aColumnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String aColumnName)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String aColumnName,
                                              int aScale)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(int aColumnIndex)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(java.lang.String aColumnName)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int aColumnIndex)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int aColumnIndex,
                                 java.util.Calendar aCal)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(java.lang.String aColumnName)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(java.lang.String aColumnName,
                                 java.util.Calendar aCal)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(int aColumnIndex)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(int aColumnIndex,
                                 java.util.Calendar aCal)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(java.lang.String aColumnName)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(java.lang.String aColumnName,
                                 java.util.Calendar aCal)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int aColumnIndex)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int aColumnIndex,
                                           java.util.Calendar aCal)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String aColumnName)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String aColumnName,
                                           java.util.Calendar aCal)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getAsciiStream

    public java.io.InputStream getAsciiStream(int aColumnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String aColumnName)
                                       throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int aColumnIndex)
                                         throws java.sql.SQLException

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String aColumnName)
                                         throws java.sql.SQLException

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream(int aColumnIndex)
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String aColumnName)
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

Specified by:
  `getWarnings` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

Specified by:
  `clearWarnings` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

Specified by:
  `getCursorName` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

Specified by:
  `getMetaData` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(int aColumnIndex)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(int aColumnIndex,
                                      java.util.Map aMap)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(java.lang.String aColumnName)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(java.lang.String aColumnName,
                                      java.util.Map aMap)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### findColumn

    public int findColumn(java.lang.String aColumnName)
                   throws java.sql.SQLException

Specified by:
  `findColumn` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream(int aColumnIndex)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String aColumnName)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

Specified by:
  `isBeforeFirst` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

Specified by:
  `isAfterLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

Specified by:
  `isFirst` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isLast

    public boolean isLast()
                   throws java.sql.SQLException

Specified by:
  `isLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

Specified by:
  `beforeFirst` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### afterLast

    public void afterLast()
                   throws java.sql.SQLException

Specified by:
  `afterLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### first

    public boolean first()
                  throws java.sql.SQLException

Specified by:
  `first` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### last

    public boolean last()
                 throws java.sql.SQLException

Specified by:
  `last` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRow

    public int getRow()
               throws java.sql.SQLException

Specified by:
  `getRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### absolute

    public boolean absolute(int aRow)
                     throws java.sql.SQLException

Specified by:
  `absolute` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### relative

    public boolean relative(int aRows)
                     throws java.sql.SQLException

Specified by:
  `relative` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### previous

    public boolean previous()
                     throws java.sql.SQLException

Specified by:
  `previous` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### setFetchDirection

    public void setFetchDirection(int aDirection)
                           throws java.sql.SQLException

Specified by:
  `setFetchDirection` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

Specified by:
  `getFetchDirection` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### setFetchSize

    public void setFetchSize(int aRows)
                      throws java.sql.SQLException

Specified by:
  `setFetchSize` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

Specified by:
  `getFetchSize` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getType

    public int getType()
                throws java.sql.SQLException

Specified by:
  `getType` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

Specified by:
  `getConcurrency` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

Specified by:
  `rowUpdated` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

Specified by:
  `rowInserted` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

Specified by:
  `rowDeleted` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull(int aColumnIndex)
                    throws java.sql.SQLException

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull(java.lang.String aColumnName)
                    throws java.sql.SQLException

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean(int aColumnIndex,
                              boolean aValue)
                       throws java.sql.SQLException

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean(java.lang.String aColumnName,
                              boolean aValue)
                       throws java.sql.SQLException

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte(int aColumnIndex,
                           byte aValue)
                    throws java.sql.SQLException

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte(java.lang.String aColumnName,
                           byte aValue)
                    throws java.sql.SQLException

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort(int aColumnIndex,
                            short aValue)
                     throws java.sql.SQLException

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort(java.lang.String aColumnName,
                            short aValue)
                     throws java.sql.SQLException

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt(int aColumnIndex,
                          int aValue)
                   throws java.sql.SQLException

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt(java.lang.String aColumnName,
                          int aValue)
                   throws java.sql.SQLException

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong(int aColumnIndex,
                           long aValue)
                    throws java.sql.SQLException

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong(java.lang.String aColumnName,
                           long aValue)
                    throws java.sql.SQLException

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat(int aColumnIndex,
                            float aValue)
                     throws java.sql.SQLException

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat(java.lang.String aColumnName,
                            float aValue)
                     throws java.sql.SQLException

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble(int aColumnIndex,
                             double aValue)
                      throws java.sql.SQLException

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble(java.lang.String aColumnName,
                             double aValue)
                      throws java.sql.SQLException

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal(int aColumnIndex,
                                 java.math.BigDecimal aValue)
                          throws java.sql.SQLException

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal(java.lang.String aColumnName,
                                 java.math.BigDecimal aValue)
                          throws java.sql.SQLException

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(int aColumnIndex,
                             java.lang.String aValue)
                      throws java.sql.SQLException

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(java.lang.String aColumnName,
                             java.lang.String aValue)
                      throws java.sql.SQLException

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(int aColumnIndex,
                            byte[] aValue)
                     throws java.sql.SQLException

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(java.lang.String aColumnName,
                            byte[] aValue)
                     throws java.sql.SQLException

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(int aColumnIndex,
                           java.sql.Date aValue)
                    throws java.sql.SQLException

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(java.lang.String aColumnName,
                           java.sql.Date aValue)
                    throws java.sql.SQLException

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(int aColumnIndex,
                           java.sql.Time aValue)
                    throws java.sql.SQLException

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(java.lang.String aColumnName,
                           java.sql.Time aValue)
                    throws java.sql.SQLException

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(int aColumnIndex,
                                java.sql.Timestamp aValue)
                         throws java.sql.SQLException

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(java.lang.String aColumnName,
                                java.sql.Timestamp aValue)
                         throws java.sql.SQLException

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int aColumnIndex,
                                  java.io.InputStream aValue,
                                  int aLength)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(java.lang.String aColumnName,
                                  java.io.InputStream aValue,
                                  int aLength)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int aColumnIndex,
                                   java.io.InputStream aValue,
                                   int aLength)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(java.lang.String aColumnName,
                                   java.io.InputStream aValue,
                                   int aLength)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int aColumnIndex,
                                      java.io.Reader aReader,
                                      int aLength)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(java.lang.String aColumnName,
                                      java.io.Reader aReader,
                                      int aLength)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(int aColumnIndex,
                             java.lang.Object aValue,
                             int aScale)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(int aColumnIndex,
                             java.lang.Object aValue)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(java.lang.String aColumnName,
                             java.lang.Object aValue,
                             int aScale)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(java.lang.String aColumnName,
                             java.lang.Object aValue)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### insertRow

    public void insertRow()
                   throws java.sql.SQLException

Specified by:
  `insertRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRow

    public void updateRow()
                   throws java.sql.SQLException

Specified by:
  `updateRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

Specified by:
  `deleteRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

Specified by:
  `refreshRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

Specified by:
  `cancelRowUpdates` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

Specified by:
  `moveToInsertRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

Specified by:
  `moveToCurrentRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getStatement

    public java.sql.Statement getStatement()

Specified by:
  `getStatement` in interface `java.sql.ResultSet`

#### getRef

    public java.sql.Ref getRef(int aColumnIndex)
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef(java.lang.String aColumnName)
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(int aColumnIndex)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(java.lang.String aColumnName)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(int aColumnIndex)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(java.lang.String aColumnName)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray(int aColumnIndex)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray(java.lang.String aColumnName)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getURL

    public java.net.URL getURL(int aColumnIndex)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getURL

    public java.net.URL getURL(java.lang.String aColumnName)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRef

    public void updateRef(int aColumnIndex,
                          java.sql.Ref aValue)
                   throws java.sql.SQLException

Specified by:
  `updateRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRef

    public void updateRef(java.lang.String aColumnName,
                          java.sql.Ref aValue)
                   throws java.sql.SQLException

Specified by:
  `updateRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(int aColumnIndex,
                           java.sql.Blob aValue)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(java.lang.String aColumnName,
                           java.sql.Blob aValue)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(int aColumnIndex,
                           java.sql.Clob aValue)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(java.lang.String aColumnName,
                           java.sql.Clob aValue)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateArray

    public void updateArray(int aColumnIndex,
                            java.sql.Array aValue)
                     throws java.sql.SQLException

Specified by:
  `updateArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateArray

    public void updateArray(java.lang.String aColumnName,
                            java.sql.Array aValue)
                     throws java.sql.SQLException

Specified by:
  `updateArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`